Discounts
Update discount details
Updates information for a specific discount, such as code, amount, or expiration date. Use to edit existing discount offers.
PATCH
/
discounts
/
{id}
Update discount details
curl --request PATCH \
--url https://api.blink.store/v1/discounts/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"discount_type": "<string>",
"discount_amount": 123,
"status": "<string>",
"max_redemptions": 123,
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"product_ids": [
"<string>"
]
}
'import requests
url = "https://api.blink.store/v1/discounts/{id}"
payload = {
"name": "<string>",
"code": "<string>",
"discount_type": "<string>",
"discount_amount": 123,
"status": "<string>",
"max_redemptions": 123,
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"product_ids": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
discount_type: '<string>',
discount_amount: 123,
status: '<string>',
max_redemptions: 123,
starts_at: '2023-11-07T05:31:56Z',
expires_at: '2023-11-07T05:31:56Z',
product_ids: ['<string>']
})
};
fetch('https://api.blink.store/v1/discounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"code": "<string>",
"discount_type": "<string>",
"discount_amount": 123,
"max_redemptions": 123,
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"product_ids": [
"<string>"
]
}
}Path Parameters
Body
application/json
Response
Discount updated
Show child attributes
Show child attributes
Previous
Create a new bumpCreates a new promotional bump for the store. Includes details like title, description, and price.
**Usage:** Use this endpoint to create new upsells and promotional offers to increase average order value.
Next
āI
Update discount details
